nav{
    position: sticky;
    padding: 0 1rem;
    top: -0.5px;
    background: var(--bg-color);
    z-index: 10;
    user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none; 
}

ul{ 
    font-family: 'Major Mono Display', monospace;
    text-transform: lowercase;
    list-style-type: none;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding: 1rem 0;
    margin: 0;
}

.navBarItems{
    padding: 0.5rem;
    margin-right: 1rem;
    border-bottom: 2px solid var(--accent-color);
    text-align: center;
    height: 100%;
    transition: background-color 0.5s;
}

#narBarItem1st{
    border: none;
}

.navBarItems > a{
    text-decoration: none;
    color: var(--text-color);
    cursor: pointer;
    display: flex;
}

.navBarItems > a >span{
    display:block;
}

.navBarText{    
    margin-left: 1rem;
    white-space: nowrap;
    overflow: hidden;
    transition:  width 0.5s ;
}
#navLogo{
    display: flex;
    align-items: center;
    justify-content: center;
}

#navLogo img{ width: 50px; margin-right: 15px;}
/* .navBarText{} */
.navBarItems.activeNav{  background-color: var(--accent-color);}
.navBarItems.activeNav >  * {    mix-blend-mode: difference;}

@media only screen and (max-width: 940px){
    #navLogoText{
        display: none;
    }
}
@media only screen and (max-width: 739px){
    .navBarItems{    margin-right: 0rem ;}
    #navLogoText{   display: inline-block;}
    .navBarText{    
        width: 0; 
        margin-left: 0;}


    .navBarItems.activeNav  .navBarText{ 
        width: 120px; 
        margin-left: 1rem; 
    }
}

@media only screen and (max-width: 540px) {
    #navLogoText{
        display: none;
    }
}